IPlanetSSLSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.iplanet.IPlanetSSLSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.iplanet
Interface IPlanetSSLSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SSLSettings

    public interface IPlanetSSLSettings

extends SSLSettings

Represents Apache specific SSL settings for a virtual host.

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  IPLTSSL

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getClientCertAuth()`
`IPlanetWebContainer` | `getParent()`
`boolean` | `getSsl2Enabled()`
`java.lang.String` | `getSsl3CipherSuite()`
`boolean` | `getSsl3Enabled()`
`int` | `getSsl3SessionCacheTimeout()`
`int` | `getSSLCacheEntries()`
`boolean` | `hasClientCertAuth()`
`boolean` | `hasParent()`
`boolean` | `hasSsl2Enabled()`
`boolean` | `hasSsl3CipherSuite()`
`boolean` | `hasSsl3Enabled()`
`boolean` | `hasSsl3SessionCacheTimeout()`
`boolean` | `hasSSLCacheEntries()`
`void` | `setClientCertAuth(boolean clientAuth)`
`void` | `setParent(IPlanetWebContainer parent)`
`void` | `setSsl2Enabled(boolean ssl2Enabled)`
`void` | `setSsl3CipherSuite(java.lang.String cipherSuite)`
`void` | `setSsl3Enabled(boolean ssl3Enabled)`
`void` | `setSsl3SessionCacheTimeout(int sessionCacheTimeout)`
`void` | `setSSLCacheEntries(int numEntries)`

Methods inherited from interface com.collation.platform.model.topology.app.SSLSettings
`getAcceptCaCertificateFiles, getCaCertificateFile, getCertificateFile, getCipherSuite, getPrivateKeyFile, getRevokeCaCertificateFiles, getSessionCacheTimeout, getSslEnabled, getSslPort, hasAcceptCaCertificateFiles, hasCaCertificateFile, hasCertificateFile, hasCipherSuite, hasPrivateKeyFile, hasRevokeCaCertificateFiles, hasSessionCacheTimeout, hasSslEnabled, hasSslPort, setAcceptCaCertificateFiles, setCaCertificateFile, setCertificateFile, setCipherSuite, setPrivateKeyFile, setRevokeCaCertificateFiles, setSessionCacheTimeout, setSslEnabled, setSslPort`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    IPlanetWebContainer getParent()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setParent

    void setParent(IPlanetWebContainer parent)

### hasParent

    boolean hasParent()

### getSsl2Enabled

    boolean getSsl2Enabled()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSsl2Enabled

    void setSsl2Enabled(boolean ssl2Enabled)

### hasSsl2Enabled

    boolean hasSsl2Enabled()

### getSsl3Enabled

    boolean getSsl3Enabled()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSsl3Enabled

    void setSsl3Enabled(boolean ssl3Enabled)

### hasSsl3Enabled

    boolean hasSsl3Enabled()

### getSsl3CipherSuite

    java.lang.String getSsl3CipherSuite()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSsl3CipherSuite

    void setSsl3CipherSuite(java.lang.String cipherSuite)

### hasSsl3CipherSuite

    boolean hasSsl3CipherSuite()

### getSsl3SessionCacheTimeout

    int getSsl3SessionCacheTimeout()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSsl3SessionCacheTimeout

    void setSsl3SessionCacheTimeout(int sessionCacheTimeout)

### hasSsl3SessionCacheTimeout

    boolean hasSsl3SessionCacheTimeout()

### getClientCertAuth

    boolean getClientCertAuth()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClientCertAuth

    void setClientCertAuth(boolean clientAuth)

### hasClientCertAuth

    boolean hasClientCertAuth()

### getSSLCacheEntries

    int getSSLCacheEntries()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSSLCacheEntries

    void setSSLCacheEntries(int numEntries)

### hasSSLCacheEntries

    boolean hasSSLCacheEntries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD